run:
    root: /path/to/fmf_root
    remove: false
    environment:
        RUN_ENV: run_value
    context: {}
plans:
  - name: /plans/remote
    summary: A remote plan
    enabled: true
    order: 50
    environment:
        PLAN_ENV: plan_value
    discover:
        enabled: true
        phases:
          - name: default-0
            how: fmf
            order: 50
            url: https://github.com/teemtee/tests
            url-content-type: git
            dist-git-source: false
            dist-git-download-only: false
            dist-git-install-builddeps: false
            modified-only: false
            dist-git-init: false
            dist-git-remove-fmf-root: false
            dist-git-merge: false
            sync-repo: false
            fmf-id: false
            prune: false
            test:
              - /tests/one
        tests:
          - name: /tests/one
            discover-phase: default-0
            test: echo one
            path: /default-0/tests/tests
            summary: Remote test one
            enabled: true
            order: 50
            tag:
              - remote
            framework: shell
            manual: false
            tty: false
            duration: 5m
            restart-max-count: 1
            restart-with-reboot: false
            serial-number: 1
            result: respect
    provision:
        enabled: true
        phases:
          - name: default-0
            how: container
            order: 50
            become: false
            environment:
                PROVISION_ENV: provision_value
            image: fedora
            user: root
            force-pull: false
            pull-attempts: 5
            pull-interval: 5
            stop-time: 1
    prepare:
        enabled: true
        phases:
          - name: default-0
            how: shell
            order: 50
    execute:
        enabled: true
        phases:
          - name: default-0
            how: tmt
            order: 50
            duration: 1h
            ignore-duration: false
            exit-first: false
            interactive: false
            restraint-compatible: false
            no-progress-bar: false
        results-path: plans/remote/execute/results.yaml
    report:
        enabled: true
        phases:
          - name: default-0
            how: display
            order: 50
            display-guest: auto
    finish:
        enabled: true
        phases:
          - name: default-0
            how: shell
            order: 50
    cleanup:
        enabled: true
        phases:
          - name: default-0
            how: tmt
            order: 50
